/**

  The Initial Developer of the Original Code is
  Matthieu  - http://www.programmation-facile.com/
  Portions created by the Initial Developer are Copyright (C) 2013
  the Initial Developer. All Rights Reserved.

  Contributor(s) :

 */


Main();


/**
 * Fonction principale
 * Appelée au chargement de la page
 * 
 */
function Main()
{
    console.log("Main");

    // var oDivGame = document.getElementById("idGameDiv");

    // création du module AngularJS         
    var oModule = angular.module("AppliAngularJS", []);

    // déclaration des contrôleurs
    oModule.controller("MainControler", MainControler) 
      .controller("oViewControler", ViewControler)
      .controller("oControler", ControlerSingle);
}


 
/**
 * Le contrôleur
 * 
 * $scope est automatiquement fourni au contrôleur 
 * via le mécanisme d’injection de dépendances utilisé par AngularJS. 
 * 
 * @param {[type]} $scope [description]
 */
function ControlerSingle($scope) 
{ 
    /**
     * init de l'état du modèle
     * ajout du modèle et des fonctions à la vue via l’objet $scope 
     * gestion des changements du modèle
     * 
     */

    // récupère la configuration dans le local storage HTML5 
    /*
    $scope.config = localStorage.getconfig("start") || [];
      
    $scope.addConfig = function(oValue) { ... } 
    $scope.removeConfig = function(oValue) { ... } 
    $scope.doneConfig = function(oValue) { ... } 
    */

  	// représentation du modèle - les données
    $scope.user = { name: "Matthieu", site: "Développement Facile" }; 
    $scope.status = "images/banniere-cours-prog-facile-950.png";// affiche une image
}



/**
 * Déclaration des variables des vues
 * 
 * @param {[type]} $scope [description]
 */
function ViewControler($scope) 
{ 
    $scope.pageTitle = "Utilisation d'AngularJS"; 
} 
     

/**
 * Déclaration des variables nécessaires dans la zone gérée par AngularJS
 * 
 * @param {[type]} $scope [description]
 */
function MainControler($scope) 
{ 
    $scope.title = "Application Développement Facile"; 

    // défini à la volée des propriétés CSS
    $scope.choseColor = function ()
    {
        return { 
          fontSize: "30px",// proprietes CSS - valeur
          fontWeight : "bold",
          color: "red" }
    }
} 
 
